#!/bin/bash

set -ex

CLICKHOUSE_BACKUP_VERSION=2.4.2

ARCH=$(uname -m)
if [[ $ARCH =~ "aarch64" ]]; then
  ARCH="arm64"
elif [[ $ARCH =~ "armv5l" ]]; then
  ARCH="armv5"
elif [[ $ARCH =~ "armv6l" ]]; then
  ARCH="armv6"
elif [[ $ARCH =~ "armv7l" ]]; then
  ARCH="armv7"
elif [[ $ARCH =~ "x86_64" ]]; then
  ARCH="amd64"
fi

wget \
    --quiet \
    --continue \
    --no-clobber \
    --output-document=/tmp/clickhouse-backup.tar.gz \
    "https://github.com/AlexAkulov/clickhouse-backup/releases/download/v${CLICKHOUSE_BACKUP_VERSION}/clickhouse-backup-linux-${ARCH}.tar.gz" 2>/dev/null

tar -xf /tmp/clickhouse-backup.tar.gz --directory=/usr/local/bin --strip-components=3

/entrypoint.sh
